> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get responses summary data

> # Description

Retrieves meta data of all responses that correspond to the specified campaign and date range.

# Response

## 200 OK

```json
[
   {
      "code": string,
      "headers": object,
      "uuid": string,
      "completenessPercent": number,
      "questionsDisplayedCount": number,
      "responsesCount": number,
      "latitude": number,
      "longitude": number
   }
]
```

where:

- `code`: Short unique response code.
- `headers`: The request headers used to submit the response.
- `uuid`: Unique response identifier used to validate duplicates.
- `completenessPercent`: The percent of the questions answered by the user.
- `questionsDisplayedCount`: The number of questions that were actually displayed to the user.
- `responsesCount`: The number of questions answered by the user.
- `latitude`: Most approximate latitude coordinate of the respondent.
- `longitude`: Most approximate longitude coordinate of the respondent.

## 400 Bad Request

> ProjectId, fromDate and/or toDate are missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request.

# Description

Retrieves meta data of all responses that correspond to the specified campaign and date range.

# Response

## 200 OK

```json theme={null}
[
   {
      "code": string,
      "headers": object,
      "uuid": string,
      "completenessPercent": number,
      "questionsDisplayedCount": number,
      "responsesCount": number,
      "latitude": number,
      "longitude": number
   }
]
```

where:

* `code`: Short unique response code.
* `headers`: The request headers used to submit the response.
* `uuid`: Unique response identifier used to validate duplicates.
* `completenessPercent`: The percent of the questions answered by the user.
* `questionsDisplayedCount`: The number of questions that were actually displayed to the user.
* `responsesCount`: The number of questions answered by the user.
* `latitude`: Most approximate latitude coordinate of the respondent.
* `longitude`: Most approximate longitude coordinate of the respondent.

## 400 Bad Request

> ProjectId, fromDate and/or toDate are missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request.

##### Query Parameters

| Parameter    | Description | Required | Example      |
| ------------ | ----------- | -------- | ------------ |
| `projectId`  | —           | No       | —            |
| `fromDate`   | —           | No       | `2020-01-01` |
| `toDate`     | —           | No       | `2022-12-31` |
| `campaignId` | —           | No       | —            |


## OpenAPI

````yaml GET /responses-capture-service/v1/responses/location
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /responses-capture-service/v1/responses/location:
    get:
      summary: Get responses summary data
      description: >-
        # Description


        Retrieves meta data of all responses that correspond to the specified
        campaign and date range.


        # Response


        ## 200 OK


        ```json

        [
           {
              "code": string,
              "headers": object,
              "uuid": string,
              "completenessPercent": number,
              "questionsDisplayedCount": number,
              "responsesCount": number,
              "latitude": number,
              "longitude": number
           }
        ]

        ```


        where:


        - `code`: Short unique response code.

        - `headers`: The request headers used to submit the response.

        - `uuid`: Unique response identifier used to validate duplicates.

        - `completenessPercent`: The percent of the questions answered by the
        user.

        - `questionsDisplayedCount`: The number of questions that were actually
        displayed to the user.

        - `responsesCount`: The number of questions answered by the user.

        - `latitude`: Most approximate latitude coordinate of the respondent.

        - `longitude`: Most approximate longitude coordinate of the respondent.


        ## 400 Bad Request


        > ProjectId, fromDate and/or toDate are missing.


        ## 401 Unauthorized


        > The user doesn't have permissions.


        ## 500 Internal Server Error


        > Error occurred while processing the request.
      operationId: >-
        get-responses-summary-data-get-responses-capture-service-v1-responses-location
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
        - name: projectId
          in: query
          required: false
          schema:
            type: string
        - name: fromDate
          in: query
          required: false
          schema:
            type: string
          example: '2020-01-01'
        - name: toDate
          in: query
          required: false
          schema:
            type: string
          example: '2022-12-31'
        - name: campaignId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Get responses summary data
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                - code: WaUeRW4KAq
                  headers:
                    accept-language: en-US,en;q=0.9
                    accept-encoding: gzip, deflate, br
                    referer: https://survey-test.frontier7.com/
                    sec-fetch-dest: empty
                    sec-fetch-mode: cors
                    sec-fetch-site: same-site
                    origin: https://survey-test.frontier7.com
                    content-type: application/json
                    user-agent: >-
                      Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML,
                      like Gecko) Chrome/91.0.4472.114 Safari/537.36
                    sec-ch-ua-mobile: '?0'
                    accept: application/json
                    sec-ch-ua: >-
                      " Not;A Brand";v="99", "Google Chrome";v="91",
                      "Chromium";v="91"
                    content-length: '12407'
                    x-amzn-trace-id: Root=1-60de3772-7e7ada901a92f1b03ff1f1ef
                    host: survey-service-test.frontier7.com
                    x-forwarded-port: '443'
                    x-forwarded-proto: https
                    x-forwarded-for: 201.183.99.58
                    x-php-ob-level: '0'
                  uuid: b2b3d5f5-a512-4d76-ba3f-4ba8ce07dd76
                  completenessPercent: 122.64150943396226
                  questionsDisplayedCount: 106
                  responsesCount: 130
                  latitude: -2.1664
                  longitude: -79.9011
                - code: TUfgli6wwl
                  headers:
                    accept-language: en-US,en;q=0.9
                    accept-encoding: gzip, deflate, br
                    referer: https://survey-test.frontier7.com/
                    sec-fetch-dest: empty
                    sec-fetch-mode: cors
                    sec-fetch-site: same-site
                    origin: https://survey-test.frontier7.com
                    content-type: application/json
                    user-agent: >-
                      Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML,
                      like Gecko) Chrome/91.0.4472.114 Safari/537.36
                    sec-ch-ua-mobile: '?0'
                    accept: application/json
                    sec-ch-ua: >-
                      " Not;A Brand";v="99", "Google Chrome";v="91",
                      "Chromium";v="91"
                    content-length: '11138'
                    x-amzn-trace-id: Root=1-60de37bc-538ae61823244422123e9ea9
                    host: survey-service-test.frontier7.com
                    x-forwarded-port: '443'
                    x-forwarded-proto: https
                    x-forwarded-for: 186.101.154.128
                    x-php-ob-level: '0'
                  uuid: c731000a-ebb4-4d81-89b9-bc866726761c
                  completenessPercent: 122.58064516129032
                  questionsDisplayedCount: 93
                  responsesCount: 114
                  latitude: -0.9333
                  longitude: -78.6167
                - code: hspJwBQcSC
                  headers:
                    accept-language: >-
                      en-XA,en;q=0.9,es-EC;q=0.8,es-419;q=0.7,es;q=0.6,en-US;q=0.5
                    accept-encoding: gzip, deflate, br
                    referer: https://survey-test.frontier7.com/
                    sec-fetch-dest: empty
                    sec-fetch-mode: cors
                    sec-fetch-site: same-site
                    origin: https://survey-test.frontier7.com
                    content-type: application/json
                    user-agent: >-
                      Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML,
                      like Gecko) Chrome/91.0.4472.114 Safari/537.36
                    sec-ch-ua-mobile: '?0'
                    accept: application/json
                    sec-ch-ua: >-
                      " Not;A Brand";v="99", "Google Chrome";v="91",
                      "Chromium";v="91"
                    content-length: '9955'
                    x-amzn-trace-id: Root=1-60de37d7-5a48ffbe0c07df13532c2951
                    host: survey-service-test.frontier7.com
                    x-forwarded-port: '443'
                    x-forwarded-proto: https
                    x-forwarded-for: 186.33.167.248
                    x-php-ob-level: '0'
                  uuid: 27bb14d0-b798-489a-82c1-7402beebe90a
                  completenessPercent: 122.50000000000001
                  questionsDisplayedCount: 80
                  responsesCount: 98
                  latitude: -0.2143
                  longitude: -78.5017
                - code: _ELUXWs4uQ
                  headers:
                    accept-language: es-419,es;q=0.9,en;q=0.8
                    accept-encoding: gzip, deflate, br
                    referer: https://survey-test.frontier7.com/
                    sec-fetch-dest: empty
                    sec-fetch-mode: cors
                    sec-fetch-site: same-site
                    origin: https://survey-test.frontier7.com
                    content-type: application/json
                    user-agent: >-
                      Mozilla/5.0 (Windows NT 10.0; Win64; x64)
                      AppleWebKit/537.36 (KHTML, like Gecko)
                      Chrome/91.0.4472.124 Safari/537.36
                    sec-ch-ua-mobile: '?0'
                    accept: application/json
                    sec-ch-ua: >-
                      " Not;A Brand";v="99", "Google Chrome";v="91",
                      "Chromium";v="91"
                    content-length: '11225'
                    x-amzn-trace-id: Root=1-60de392d-1e3063e661e3c0ab5361063e
                    host: survey-service-test.frontier7.com
                    x-forwarded-port: '443'
                    x-forwarded-proto: https
                    x-forwarded-for: 157.100.173.245
                    x-php-ob-level: '0'
                  uuid: da776fda-ff4f-471b-82c4-26be7b50960d
                  completenessPercent: 122.58064516129032
                  questionsDisplayedCount: 93
                  responsesCount: 114
                  latitude: -0.2143
                  longitude: -78.5017
                - code: bcjqGOr6Fe
                  headers:
                    accept-language: es-419,es;q=0.9,en;q=0.8
                    accept-encoding: gzip, deflate, br
                    referer: https://survey-test.frontier7.com/
                    sec-fetch-dest: empty
                    sec-fetch-mode: cors
                    sec-fetch-site: same-site
                    origin: https://survey-test.frontier7.com
                    content-type: application/json
                    user-agent: >-
                      Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                      AppleWebKit/537.36 (KHTML, like Gecko)
                      Chrome/91.0.4472.114 Safari/537.36
                    sec-ch-ua-mobile: '?0'
                    accept: application/json
                    sec-ch-ua: >-
                      " Not;A Brand";v="99", "Google Chrome";v="91",
                      "Chromium";v="91"
                    content-length: '11125'
                    x-amzn-trace-id: Root=1-60de3a02-037d892c1b9404581dd134c1
                    host: survey-service-test.frontier7.com
                    x-forwarded-port: '443'
                    x-forwarded-proto: https
                    x-forwarded-for: 157.100.172.103
                    x-php-ob-level: '0'
                  uuid: 59726170-9bb7-4ede-a32b-67c6b0939426
                  completenessPercent: 122.58064516129032
                  questionsDisplayedCount: 93
                  responsesCount: 114
                  latitude: -0.2143
                  longitude: -78.5017
                - code: TUTPaWA9ux
                  headers:
                    accept-language: en-US,en;q=0.9,es;q=0.8
                    accept-encoding: gzip, deflate, br
                    referer: https://survey-test.frontier7.com/
                    sec-fetch-dest: empty
                    sec-fetch-mode: cors
                    sec-fetch-site: same-site
                    origin: https://survey-test.frontier7.com
                    content-type: application/json
                    user-agent: >-
                      Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML,
                      like Gecko) Chrome/91.0.4472.114 Safari/537.36
                    sec-ch-ua-mobile: '?0'
                    accept: application/json
                    sec-ch-ua: >-
                      " Not;A Brand";v="99", "Google Chrome";v="91",
                      "Chromium";v="91"
                    content-length: '9188'
                    x-amzn-trace-id: Root=1-60de4a0c-05076cf30110f089034b0919
                    host: survey-service-test.frontier7.com
                    x-forwarded-port: '443'
                    x-forwarded-proto: https
                    x-forwarded-for: 138.94.121.153
                    x-php-ob-level: '0'
                  uuid: 17741ee1-d14d-4d28-b302-1dce7ace1e1e
                  completenessPercent: 122.38805970149254
                  questionsDisplayedCount: 67
                  responsesCount: 82
                  latitude: 14.1039
                  longitude: -87.2137
                - code: y2qCwVTvBz
                  headers:
                    accept-language: en-US,en-GB;q=0.9,en;q=0.8,es;q=0.7
                    accept-encoding: gzip, deflate, br
                    referer: https://survey-test.frontier7.com/
                    sec-fetch-dest: empty
                    sec-fetch-mode: cors
                    sec-fetch-site: same-site
                    origin: https://survey-test.frontier7.com
                    content-type: application/json
                    user-agent: >-
                      Mozilla/5.0 (Windows NT 10.0; Win64; x64)
                      AppleWebKit/537.36 (KHTML, like Gecko)
                      Chrome/91.0.4472.124 Safari/537.36
                    sec-ch-ua-mobile: '?0'
                    accept: application/json
                    sec-ch-ua: >-
                      " Not;A Brand";v="99", "Google Chrome";v="91",
                      "Chromium";v="91"
                    content-length: '10038'
                    x-amzn-trace-id: Root=1-60de4748-39c8e55458e5fc200707988f
                    host: survey-service-test.frontier7.com
                    x-forwarded-port: '443'
                    x-forwarded-proto: https
                    x-forwarded-for: 157.100.172.40
                    x-php-ob-level: '0'
                  uuid: 179d7035-0984-4384-9e25-1b42897d4431
                  completenessPercent: 122.50000000000001
                  questionsDisplayedCount: 80
                  responsesCount: 98
                  latitude: -0.2143
                  longitude: -78.5017
                - code: N9LFvUkij2
                  headers:
                    accept-language: en-US,en;q=0.9
                    accept-encoding: gzip, deflate, br
                    referer: https://survey-test.frontier7.com/
                    sec-fetch-dest: empty
                    sec-fetch-mode: cors
                    sec-fetch-site: same-site
                    origin: https://survey-test.frontier7.com
                    content-type: application/json
                    user-agent: >-
                      Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                      AppleWebKit/537.36 (KHTML, like Gecko)
                      Chrome/91.0.4472.114 Safari/537.36
                    sec-ch-ua-mobile: '?0'
                    accept: application/json
                    sec-ch-ua: >-
                      " Not;A Brand";v="99", "Google Chrome";v="91",
                      "Chromium";v="91"
                    content-length: '11674'
                    x-amzn-trace-id: Root=1-60de8c5d-098968055d6761883b2147c4
                    host: survey-service-test.frontier7.com
                    x-forwarded-port: '443'
                    x-forwarded-proto: https
                    x-forwarded-for: 186.233.184.188
                    x-php-ob-level: '0'
                  uuid: 15b1c946-7f56-492f-9f24-01415c3a2a78
                  completenessPercent: 122.58064516129032
                  questionsDisplayedCount: 93
                  responsesCount: 114
                  latitude: 25.7741
                  longitude: -80.1817
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://responses.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````